## Class THttpRequestUrlFormat

Description

THttpRequestUrlFormat class.

THttpRequestUrlFormat defines the enumerable type for the possible URL formats that can be recognized by THttpRequest.

The following enumerable values are defined:

- Get: the URL format is like /path/to/index.php?name1=value1&name2=value2...
- Path: the URL format is like /path/to/index.php/name1,value1/name2,value2...

- since: 3.0.4
- version: $Id: THttpRequest.php 2364 2008-01-13 15:27:49Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Web/THttpRequest.php (line 1227)

    TEnumerable
       |
       --THttpRequestUrlFormat

Class Constant Summary
Get = 'Get'
Path = 'Path'
Class Constants
Get = 'Get' (line 1229)
Path = 'Path' (line 1230)

Documentation generated on Mon, 21 Apr 2008 11:35:10 -0400 by phpDocumentor 1.3.0RC4